﻿package src 
{
	import caurina.transitions.Equations;
	import flash.display.MovieClip;
	import flash.events.TimerEvent;
	import flash.utils.Timer;
    import flash.net.URLRequest;
	import caurina.transitions.Tweener;
	import flash.utils.ByteArray;
	
	/**
	 * ...
	 * @author DiegoTello
	 */
	public class InfoCard extends MovieClip
	{
		public var bg:MovieClip;
		public var header:MovieClip;
		
		private var _headerText:String;
		private var _titleText:String;
		private var _infoText:String;
		
		private var _bgStartHeight:int = 34;
		private var _bgEndHeight:int = 34;
		private var _bgStartWidth:int = 0;
		private var _bgEndWidth:int = 150;
		
		private var _positionStartHeight:int = 18;
		private var _positionEndHeight:int = 18;
		private var _positionStartWidth:int = 0;
		private var _positionEndWidth:int = 150;
		
		private var _clockIsHidden:Boolean = true;
		
		public function InfoCard() 
		{
			super();
			setInit();
		}
		
		public function setInit()
		{
			xtfName.alpha = 0;
			xtfPosition.alpha = 0;
			xtfPercentage.alpha = 0;
			
			bg.height = _bgStartHeight;
			bg.width = _bgStartWidth;
			
			header.height = _positionStartHeight;
			header.width = _positionStartWidth;
		}
		
		public function cardShow():void
		{
			_clockIsHidden = false;
			
			Tweener.addTween(bg, {height:_bgEndHeight, width: _bgEndWidth, delay:0, time:1});
			Tweener.addTween(header, {height:_positionEndHeight, width:_positionEndWidth, delay:0, time:1});

			Tweener.addTween(xtfName, {alpha:100, delay:1, time:0.1});
			Tweener.addTween(xtfPercentage, {alpha:100, delay:1, time:0.1});
			Tweener.addTween(xtfPosition, {alpha:100, delay:1, time:0.1});
		}
		
		public function cardHide():void
		{
			Tweener.addTween(xtfName, {alpha:0, delay:0, time:0.1});
			Tweener.addTween(xtfPercentage, {alpha:0, delay:0, time:0.1});
			Tweener.addTween(xtfPosition, {alpha:0, delay:0, time:0.1});

			Tweener.addTween(bg, {alpha:0, delay:0, time:0.1});
			Tweener.addTween(header, {alpha:0, delay:0, time:0.1});
		}
		
		//SETTING & GETTERS	
		public function set titleText(value:String):void 
		{
			_titleText = value;
			xtfName.text = _titleText;
		}
		
		public function set infoText(value:String):void 
		{
			_infoText = value;
			xtfPercentage.text = _infoText;
		}
		
		public function set headerText(value:String):void 
		{
			_headerText = value;
			xtfPosition.text = _headerText;
		}
	}
}