﻿package src 
{
	import caurina.transitions.Tweener;
	import flash.display.MovieClip;
	import flash.events.Event;
	import se.svt.caspar.template.CasparTemplate;
	
	import flash.events.TimerEvent;
	import flash.utils.Timer;
	
	/**
	 * ...
	 * @author diegot
	 */
	public class Main extends CasparTemplate
	{
		public var info:ChannelbrandInfo;
		private var _timer:Timer;
		
		public function Main() 
		{
			super();
			
			//You should uncomment the lines below only for test data
			// BEGIN TEST PLAY DATA
//			var xml:XML = new XML	(
//						<templateData>
//							<componentData id='header'>
//								<data id='text' value='COMING UP NEXT' />
//							</componentData>
//							<componentData id='title'>
//								<data id='text' value='BASKET LEAGUE' />
//							</componentData>
//							<componentData id='info'>
//								<data id='text' value='Atenas vs Estudiantes' />
//							</componentData>
//							<componentData id='positionX'>
//								<data id='text' value='550' />
//							</componentData>
//							<componentData id='positionY'>
//								<data id='text' value='40' />
//							</componentData>
//						</templateData>
//						);
//			SetData(xml);
//			Play();
			//END TEST PLAY DATA
		}
		
		override public function SetData(xmlData:XML):void 
		{
			super.SetData(xmlData);
			for each(var element:XML in xmlData.elements())
			{
				if(element.@id == "header")
				{
					 info.infoCardHeader = element.data.@value;
				}
				if(element.@id == "title")
				{
					 info.infoCardTitle = element.data.@value;
				}
				if(element.@id == "info")
				{
					 info.infoCardSubtitle = element.data.@value;
				}
				if(element.@id == "positionX")
				{
					 info.x = int(element.data.@value);
				}
				if(element.@id == "positionY")
				{
					 info.y = int(element.data.@value); 
				}
			}
		}
		
		override public function Play():void
		{
			// THIS IS FOR TESTING TO SIMULATE A STOP CALL
//			_timer = new Timer(5000);
//			_timer.addEventListener(TimerEvent.TIMER, onTimer);	
//			_timer.start();

			info.channelInfoShow();
		}
		
		override public function Stop():void
		{
			info.channelInfoHide();
		}
		
		private function onTimer(e:TimerEvent):void 
		{
			info.channelInfoHide();
		}
	}
}